/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.presenter.signup;

/**
 * ISignUpStep
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 14.]   [최초 작성]
 * @since 2018. 9. 14.
 */
public interface ISignUpStep {
  void start();

  void setNext(ISignUpStep step);

  void setNextForFail(ISignUpStep step);

  void dispose();

  void validate();

  boolean isValidated();
}
